# Copyright (c) 1991-2002 Rational Software Corporation. All rights
# reserved.
# 
# Rational, the Rational logo, ObjecTime (and logo) are registered
# trademarks of Rational Software Corporation.
# 
# The placing of the copyright notices on Rational source code is not
# intended to mean that they are published works, but are included in the
# event of inadvertent publication. The source code of Rational contains
# trade secrets and other valuable confidential information of Rational
# Software Corporation. Rational Software Corporation and its licensors
# retain ownership to Rational Products in both source and object code
# format, and related documentation and all rights therein including
# copyrights, patents and trade secrets.
# 
# 
# U.S. Government Rights
# 
# Use, duplication, or disclosure by the U.S. Government is subject to
# restrictions set forth in the applicable Rational License Agreement
# and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS
# 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,
# or FAR 52.227-14, as applicable.
# 
# 
# Unless otherwise agreed to in writing, use of Rational products is
# governed by the Rational Product License Agreement provided with
# the product.
# 
# 
# DISCLAIMER
# THE MATERIAL AND/OR SOFTWARE IS PROVIDED 'AS IS'. RATIONAL AND ITS
# THIRD PARTY LICENSORS DISCLAIM ALL REPRESENTATIONS OR WARRANTIES
# EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF
# MERCHANTABILITY, NON-INFRINGEMENT, TITLE OR FITNESS FOR A PARTICULAR
# PURPOSE OR ARISING OUT OF THE COURSE OF DEALING, USAGE OR TRADE
# PRACTICE, CONTENT OF THE MATERIAL OR SOFTWARE. RATIONAL MAKES NO
# WARRANTIES OR REPRESENTATIONS REGARDING THE ACCURACY OR COMPLETENESS OF
# THE MATERIAL AND/OR SOFTWARE PROVIDED OR THAT IT WILL MEET LICENSEE'S
# REQUIREMENTS OR THAT THE MATERIAL AND/OR SOFTWARE WILL BE ERROR FREE.
# IN NO EVENT SHALL RATIONAL OR ITS LICENSORS BE LIABLE TO LICENSEE OR A
# THIRD PARTY FOR ANY INDIRECT, DIRECT, NEGLIGENCE, SPECIAL, OR
# CONSEQUENTIAL DAMAGES INCLUDING LOST PROFITS, LOST DATA AND THE LIKE
# ARISING OUT OF OR IN CONNECTION WITH THIS RECEIPT OF MATERIAL AND/OR
# SOFTWARE EVEN IF RATIONAL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGES.

#
# To be added for Tornado2 Debugger Integration.
#

# This procedure brings up the debugger on Tornado2 startup
#     tgtSvr    - Debugger connects to this target server
#     processId - Debugger attaches to this context

proc autoAttachToTaskonStartup {tgtSvr processId} {

    # turn off the timer we setup
    windowTimerCallbackSet mainwindow 0 \"\"

    # launch debugger on the given target server
    if {[catch {LaunchDebugger $tgtSvr} result]} {
	messageBox -ok $result
	return
    }

    # pass the processId to attach to
    if {[catch {crosswind eval attachToNewTask $processId} result]} {
	messageBox -ok $result
	return
    }
}

# If the target information exists, then we try and run the debugger..
if {![catch {file exists $env(HOME)/.wind/RoseRT.tcl} result] && $result} {
    source $env(HOME)/.wind/RoseRT.tcl
	file delete $env(HOME)/.wind/RoseRT.tcl
}
